Browse documentation
Webhooks

List Endpoints

get/v1/webhook_endpoints

List Endpoints

Authentication

Send your tenant secret key as a Bearer token. Keep secret keys on your server; never ship them in browser or mobile code.

Example request

cURL
curl --request GET \
  --url 'https://api.fideralabs.com/v1/webhook_endpoints' \
  --header 'Authorization: Bearer $FIDERA_API_KEY'

Responses

200Successful Response
items
WebhookEndpointOut[]required

No additional field description.

application/json
{
  "items": [
    {
      "created_at": "2026-07-29T12:00:00Z",
      "enabled": true,
      "events": [
        {}
      ],
      "id": "00000000-0000-0000-0000-000000000000",
      "signing_secret": {},
      "updated_at": "2026-07-29T12:00:00Z",
      "url": "string"
    }
  ]
}
422Validation Error
detail
ValidationError[]

No additional field description.

Operation ID

list_endpoints_v1_webhook_endpoints_get